Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.portlet.state
Class PersistentConsumerGroup

    java.lang.Object
      org.jboss.portal.core.impl.portlet.state.PersistentConsumerGroup

All Implemented Interfaces:
  ContextObject, ConsumerGroup

    public class PersistentConsumerGroup

extends java.lang.Object
implements ConsumerGroup, ContextObject

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`PersistentConsumerGroup(PersistentPortletStatePersistenceManager context, java.lang.String name)`

Method Summary
`void` | `addConsumer(Consumer consumer)`
`boolean` | `contains(Consumer consumer)`
`Consumer` | `getConsumer(java.lang.String consumerId)` Return the member Consumer associated with the given identifier
`java.util.Collection` | `getConsumers()` Return a collection of associated consumers.
`java.lang.Long` | `getKey()`
`java.lang.String` | `getName()` Return this ConsumerGroup's name (i.e.
`java.lang.String` | `getPersistentName()`
`RegistrationStatus` | `getPersistentStatus()`
`java.util.Map` | `getRelatedConsumers()`
`RegistrationStatus` | `getStatus()`
`boolean` | `isEmpty()`
`void` | `removeConsumer(Consumer consumer)`
`void` | `setContext(java.lang.Object context)`
`void` | `setKey(java.lang.Long key)`
`void` | `setPersistentName(java.lang.String persistentName)`
`void` | `setPersistentStatus(RegistrationStatus persistentStatus)`
`void` | `setRelatedConsumers(java.util.Map relatedConsumers)`
`void` | `setStatus(RegistrationStatus status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentConsumerGroup

    public PersistentConsumerGroup(PersistentPortletStatePersistenceManager context,
                                   java.lang.String name)

Method Detail

### setContext

    public void setContext(java.lang.Object context)

  Specified by:
    `setContext` in interface `ContextObject`

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### getPersistentName

    public java.lang.String getPersistentName()

### setPersistentName

    public void setPersistentName(java.lang.String persistentName)

### getPersistentStatus

    public RegistrationStatus getPersistentStatus()

### setPersistentStatus

    public void setPersistentStatus(RegistrationStatus persistentStatus)

### getRelatedConsumers

    public java.util.Map getRelatedConsumers()

### setRelatedConsumers

    public void setRelatedConsumers(java.util.Map relatedConsumers)

### getName

    public java.lang.String getName()

  Description copied from interface: `ConsumerGroup`
  Return this ConsumerGroup's name (i.e. the name of the the business entity aggregating the associated consumers)

  Specified by:
    `getName` in interface `ConsumerGroup`
  Returns:
    the ConsumerGroup's name

### getConsumers

    public java.util.Collection getConsumers()
                                      throws RegistrationException

  Description copied from interface: `ConsumerGroup`
  Return a collection of associated consumers.

  Specified by:
    `getConsumers` in interface `ConsumerGroup`
  Returns:
    the consumer collection
  Throws:
    `RegistrationException`

### getConsumer

    public Consumer getConsumer(java.lang.String consumerId)
                         throws java.lang.IllegalArgumentException,
                                RegistrationException

  Description copied from interface: `ConsumerGroup`
  Return the member Consumer associated with the given identifier

  Specified by:
    `getConsumer` in interface `ConsumerGroup`
  Returns:
    the Consumer associated with the identity or `null` if no such Consumer is part of this ConsumerGroup
  Throws:
    `java.lang.IllegalArgumentException` - if the consumer identity is null
    `RegistrationException`

### addConsumer

    public void addConsumer(Consumer consumer)
                     throws RegistrationException

  Specified by:
    `addConsumer` in interface `ConsumerGroup`
  Throws:
    `RegistrationException`

### removeConsumer

    public void removeConsumer(Consumer consumer)
                        throws RegistrationException

  Specified by:
    `removeConsumer` in interface `ConsumerGroup`
  Throws:
    `RegistrationException`

### contains

    public boolean contains(Consumer consumer)

  Specified by:
    `contains` in interface `ConsumerGroup`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `ConsumerGroup`

### getStatus

    public RegistrationStatus getStatus()

  Specified by:
    `getStatus` in interface `ConsumerGroup`

### setStatus

    public void setStatus(RegistrationStatus status)

  Specified by:
    `setStatus` in interface `ConsumerGroup`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD